!=============================================================================================
module memoryMod
   !# This module contains the variables used by system
   !#
   !# @note
   !#
   !# **Documentation/Version Control**: <no doc>
   !#
   !# **Author(s)**: Luiz Flávio Rodrigues **e-mail:** <luiz.rodrigues@inpe.br>
   !#
   !# **Date**: 19 August 2021 (Thursday)
   !#
   !# **Full Description**: This module contains the variables used by system
   !#
   !# @endnote
   !#
   !# @warning
   !# ![](https://licensebuttons.net/l/by-sa/3.0/88x31.png"")
   !# Now is under CC Attribution-ShareAlike 4.0 International, please see:
   !# &copy; <https://creativecommons.org/licenses/by-sa/4.0/>
   !# @endwarning
   !#
    
   !Use area
   use dump !Dump contains a lot of functions for debugs and formated printouts

   implicit none

   include "constants.h"
   character(len=*),parameter :: sourceName='memoryMod.F90' !Name of this source code
   character(len=*),parameter :: procedureName='**memoryMod**' !Name of this procedure
   !
   !Local Parameters

   !variables

   type ctli 
      integer :: xDef
      integer :: yDef
      integer :: zDef
      real :: loni
      real :: lati 
      real :: deltaLon
      real :: deltaLat
      real, pointer :: levels(:)
      integer :: nvars 
      character(len=32),pointer :: varNames(:)
   end type ctli
   type(ctli) :: ctlInfo

   character(len=256), allocatable :: ctlFileNames(:), graFileNames(:)
   real, allocatable :: maxValue(:,:,:) !var,lev,file
   real, allocatable :: minValue(:,:,:) !var,lev,file


end module memoryMod 